From ca9c36b98d498963476c0732d54c219fa4ce85cc Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 04 2023 06:43:53 +0000
Subject: [PATCH 27/33] [linux-libre-vanilla]: upgrade to v6.2.1


---

diff --git a/libre/linux-libre-vanilla/PKGBUILD b/libre/linux-libre-vanilla/PKGBUILD
index e70ab6d..59f8f4f 100644
--- a/libre/linux-libre-vanilla/PKGBUILD
+++ b/libre/linux-libre-vanilla/PKGBUILD
@@ -15,8 +15,8 @@ _replacesoldkernels=() # '%' gets replaced with kernel suffix
 _replacesoldmodules=() # '%' gets replaced with kernel suffix
 
 pkgbase=linux-libre-vanilla
-pkgver=6.1.6
-pkgrel=2
+pkgver=6.2.1
+pkgrel=1
 pkgdesc='Linux-libre without additional patches'
 url='https://linux-libre.fsfla.org/'
 arch=(i686 x86_64 armv7h)
@@ -28,7 +28,7 @@ makedepends=(
 makedepends=( ${makedepends[*]/git/} )
 makedepends_armv7h=(uboot-tools vboot-utils dtc) # required by linux-libre-chromebook
 options=('!strip')
-_srcname=linux-6.1
+_srcname=linux-$(sed 's|\([0-9]\+\.[0-9]\+\).*|\1|' <<<${pkgver}) # eg: 6.1
 source=(
   "https://linux-libre.fsfla.org/pub/linux-libre/releases/${_srcname##*-}-gnu/linux-libre-${_srcname##*-}-gnu.tar.xz"{,.sign}
   "https://linux-libre.fsfla.org/pub/linux-libre/releases/$pkgver-gnu/patch-${_srcname##*-}-gnu-$pkgver-gnu.xz"{,.sign}
@@ -42,9 +42,9 @@ validpgpkeys=(
   '474402C8C582DAFBE389C427BCB7CF877E7D47A7' # Alexandre Oliva
   '6DB9C4B4F0D8C0DC432CF6E4227CA7C556B2BA78' # David P.
 )
-sha512sums=('1791227e4eef3be119fcbdbf3c8d441ae77badb6565c4b918130328fa24711b09128d4aabb26cd2adf453726bcb4b30b8c5199794114050835e3875bea169224'
+sha512sums=('b67c0a622e42a8c31d3e057ce60983ebb415a4b59be2a95400ea8ca99b7594dbcbd51bf8a0e33de87af45be734f5bc081784979bd18e1963b789be2c0f8d1ee3'
             'SKIP'
-            'd1663ffa50064e98ea2685acfb81d76eae7331c6eb86621fc81ab8f31df4f3d9941c722485dd2d3a707c2a30d831c01829e127937a691bf5be458f1cbec1287c'
+            '7d97c0f9dd590f6b0f4346402739fb68d64af9904eae367d453595c6de7ec7993660f336e25725206baae15be66949ba829ca459750ce0e0e8e21abb0be40a72'
             'SKIP'
             '13cb5bc42542e7b8bb104d5f68253f6609e463b6799800418af33eb0272cc269aaa36163c3e6f0aacbdaaa1d05e2827a4a7c4a08a029238439ed08b89c564bb3'
             'SKIP'

